Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.taglib.html
Class HtmlColumnTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlColumnTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlColumnTag
extends HtmlComponentBodyTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlColumnTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`release, setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setProperties, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlColumnTag

    public HtmlColumnTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD